> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deposit address status

> Returns the status of a deposit address on a given chain



## OpenAPI

````yaml https://api.rhino.fi/sda/swagger.json get /deposit-addresses/{depositAddress}/{depositChain}
openapi: 3.1.0
info:
  title: SDA API
  version: 0.0.1
  description: Functionality for interacting with Rhino SDA service
servers:
  - url: https://api.rhino.fi/sda
security: []
tags:
  - name: depositAddresses
paths:
  /deposit-addresses/{depositAddress}/{depositChain}:
    get:
      tags:
        - depositAddresses
      summary: Get deposit address status
      description: Returns the status of a deposit address on a given chain
      operationId: depositAddresses.statusDepositAddress
      parameters:
        - name: depositAddress
          in: path
          schema:
            anyOf:
              - $ref: '#/components/schemas/EthAddressSchema'
              - $ref: '#/components/schemas/TronAddressBasic'
              - $ref: '#/components/schemas/SolanaAddress'
              - $ref: '#/components/schemas/StellarMuxedAddress'
              - $ref: '#/components/schemas/BitcoinAddressSchema'
            description: >-
              The Rhino.fi Smart Deposit Address that the deposit has been sent
              to, e.g. "0x123...ABC".
          required: true
          description: >-
            The Rhino.fi Smart Deposit Address that the deposit has been sent
            to, e.g. "0x123...ABC".
        - name: depositChain
          in: path
          schema:
            type: string
            description: The blockchain where the deposit was sent to, e.g. "ETHEREUM".
          required: true
          description: The blockchain where the deposit was sent to, e.g. "ETHEREUM".
      responses:
        '200':
          description: DepositAddressStatusResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DepositAddressStatusResponse'
        '400':
          description: The request did not match the expected schema
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HttpApiDecodeError'
                  - $ref: '#/components/schemas/InvalidJwt'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '422':
          description: DepositAddressNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/DepositAddressNotFound'
                  - $ref: '#/components/schemas/DepositAddressChainsNotSupported'
                  - $ref: >-
                      #/components/schemas/DepositAddressInvalidDestinationAddress
                  - $ref: >-
                      #/components/schemas/DepositAddressMultipleChainTypesNotAllowed
                  - $ref: '#/components/schemas/DepositAddressNoBridgableTokens'
                  - $ref: '#/components/schemas/DepositAddressTokenOutNotSupported'
                  - $ref: '#/components/schemas/InvalidRequest'
        '503':
          description: EndpointDisabledError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointDisabledError'
      security:
        - bearer: []
        - legacyApiKey: []
components:
  schemas:
    EthAddressSchema:
      type: string
      description: a string that will be trimmed
    TronAddressBasic:
      type: string
      description: Tron basic address format
      pattern: T[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]+
      title: maxLength(60)
      maxLength: 60
    SolanaAddress:
      type: string
    StellarMuxedAddress:
      type: string
    BitcoinAddressSchema:
      anyOf:
        - $ref: '#/components/schemas/BitcoinBech32AddressSchema'
        - $ref: '#/components/schemas/BitcoinBase58AddressSchema'
      description: Bitcoin address (bech32 / bech32m or base58check)
    DepositAddressStatusResponse:
      type: object
      required:
        - depositChain
        - depositAddress
        - destinationChain
        - supportedTokens
        - isActive
        - isPaused
      properties:
        depositChain:
          type: string
          description: >-
            The blockchain that the Smart Deposit Address is on and that
            deposits should be sent to, e.g. "ETHEREUM".
          title: nonEmptyString
          minLength: 1
        depositAddress:
          type: string
          description: >-
            The Rhino.fi Smart Deposit Address that the deposit has been sent
            to.
          title: nonEmptyString
          minLength: 1
        destinationChain:
          type: string
          description: The blockchain that the received tokens will be bridged to.
          title: nonEmptyString
          minLength: 1
        destinationAddress:
          type: string
          description: >-
            The blockchain address that the received tokens will be bridged /
            bridged and swapped to.
          title: nonEmptyString
          minLength: 1
        addressNote:
          type: string
          description: A note or label for the deposit address as a reference.
          title: maxLength(80)
          maxLength: 80
        supportedTokens:
          type: array
          items:
            type: object
            required:
              - symbol
              - address
              - maxDepositLimitUsd
              - minDepositLimitUsd
            properties:
              symbol:
                type: string
                description: The ticker of the asset, e.g. "ETH", "USDC".
                title: nonEmptyString
                minLength: 1
              address:
                type: string
                description: The token contract address on the depositChain.
                title: nonEmptyString
                minLength: 1
              maxDepositLimitUsd:
                type: number
                description: The maximum deposit amount in USD for this token.
                title: nonNegative
                minimum: 0
              minDepositLimitUsd:
                type: number
                description: The minimum deposit amount in USD for this token.
                title: nonNegative
                minimum: 0
            additionalProperties: false
          description: >-
            The assets that can be deposited to the depositAddress for this
            depositChain.
        isActive:
          type: boolean
          description: >-
            Whether the Smart Deposit Address is being actively monitored for
            incoming deposits of supportedTokens (true), in which case it will
            take the necessary bridge / bridge and swap actions, or is not
            currently being monitored or actioned by Rhino.fi (false). All Smart
            Deposit Addresses are set to isActive = true when generated and will
            be monitored and actioned for 10 years, however Smart Deposit
            Addresses can be disabled via request.
        isPaused:
          type: boolean
          description: >-
            Whether this deposit address is currently paused. Paused addresses
            reject incoming deposits until they are unpaused.
        postBridgeData:
          anyOf:
            - $ref: '#/components/schemas/ExtendedPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapPostBridgeData'
            - $ref: '#/components/schemas/WirexWrapSandboxPostBridgeData'
            - $ref: '#/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData'
            - $ref: '#/components/schemas/AaveV3SupplyPostBridgeData'
            - $ref: '#/components/schemas/RocketFoundationDepositPostBridgeData'
            - $ref: '#/components/schemas/MapleDepositPostBridgeData'
            - $ref: '#/components/schemas/EtherfiDepositPostBridgeData'
          description: >-
            Custom Routing Rules as configured by Rhino.fi for specific clients,
            e.g. to move funds after the initial bridge into a yield bearing
            vault. To understand more about how Routing Rules can help automate
            onchain actions and ensure that your funds land in an active state,
            please contact your Rhino.fi Customer Success Manager or speak to a
            member of the Rhino.fi sales team.
        tokenOut:
          type: string
          description: The token that will be received on the destinationChain.
        refundAddress:
          type: string
          description: >-
            The address that any funds would be returned to in the case that a
            transaction to this Smart Deposit Address is unsuccessful.
          title: nonEmptyString
          minLength: 1
        bridgeIfNotSwappable:
          type: boolean
          description: >-
            If true, deposited tokens that cannot be swapped to the tokenOut
            will be bridged instead of causing a failed transaction. If false,
            any deposited tokens that cannot be swapped to the tokenOut will
            cause the transaction to fail. Must be used in conjunction with the
            tokenOut parameter.
        chainMetadata:
          $ref: '#/components/schemas/ChainMetadata'
      additionalProperties: false
    HttpApiDecodeError:
      type: object
      required:
        - issues
        - message
        - _tag
      properties:
        issues:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
        message:
          type: string
        _tag:
          type: string
          enum:
            - HttpApiDecodeError
      additionalProperties: false
      description: The request did not match the expected schema
    InvalidJwt:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidJwt
      additionalProperties: false
    Unauthorized:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - Unauthorized
      additionalProperties: false
    DepositAddressNotFound:
      type: object
      required:
        - message
        - addresses
        - _tag
      properties:
        message:
          type: string
        addresses:
          type: array
          items:
            $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressNotFound
      additionalProperties: false
    DepositAddressChainsNotSupported:
      type: object
      required:
        - chains
        - _tag
      properties:
        chains:
          type: array
          items:
            $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressChainsNotSupported
      additionalProperties: false
    DepositAddressInvalidDestinationAddress:
      type: object
      required:
        - chain
        - address
        - _tag
      properties:
        chain:
          $ref: '#/components/schemas/NonEmptyString'
        address:
          $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressInvalidDestinationAddress
      additionalProperties: false
    DepositAddressMultipleChainTypesNotAllowed:
      type: object
      required:
        - chainTypes
        - _tag
      properties:
        chainTypes:
          type: array
          items:
            $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressMultipleChainTypesNotAllowed
      additionalProperties: false
    DepositAddressNoBridgableTokens:
      type: object
      required:
        - from
        - to
        - _tag
      properties:
        from:
          $ref: '#/components/schemas/NonEmptyString'
        to:
          $ref: '#/components/schemas/NonEmptyString'
        _tag:
          type: string
          enum:
            - DepositAddressNoBridgableTokens
      additionalProperties: false
    DepositAddressTokenOutNotSupported:
      type: object
      required:
        - tokenOut
        - _tag
      properties:
        tokenOut:
          type: string
        _tag:
          type: string
          enum:
            - DepositAddressTokenOutNotSupported
      additionalProperties: false
    InvalidRequest:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - InvalidRequest
      additionalProperties: false
    EndpointDisabledError:
      type: object
      required:
        - message
        - _tag
      properties:
        message:
          type: string
        _tag:
          type: string
          enum:
            - EndpointDisabledError
      additionalProperties: false
    BitcoinBech32AddressSchema:
      type: string
      description: Bitcoin bech32 / bech32m address (SegWit, Taproot)
    BitcoinBase58AddressSchema:
      type: string
      description: a string that will be trimmed
    ExtendedPostBridgeData:
      type: object
      required:
        - _tag
        - vaultId
      properties:
        _tag:
          type: string
          enum:
            - extended
        vaultId:
          $ref: '#/components/schemas/NonNegative'
          description: A variable relating to the specific post bridge action.
          title: int
          type: integer
      additionalProperties: false
    StarkwareBtcfiCampaignPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - starkwarebtcfi
      additionalProperties: false
    WirexWrapPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - wirexwrap
      additionalProperties: false
    WirexWrapSandboxPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - wirexwrapsandbox
      additionalProperties: false
    StarkwareBtcfiCampaignV2PostBridgeData:
      type: object
      required:
        - _tag
        - spans
      properties:
        _tag:
          type: string
          enum:
            - starkwarebtcfiv2
        spans:
          type: array
          items:
            $ref: '#/components/schemas/StarknetFelt'
          description: A variable relating to the specific post bridge action.
          title: maxItems(70)
          maxItems: 70
      additionalProperties: false
    AaveV3SupplyPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - aavev3supply
      additionalProperties: false
    RocketFoundationDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - rocketfoundationdeposit
      additionalProperties: false
    MapleDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - mapledeposit
      additionalProperties: false
    EtherfiDepositPostBridgeData:
      type: object
      required:
        - _tag
      properties:
        _tag:
          type: string
          enum:
            - etherfideposit
      additionalProperties: false
    ChainMetadata:
      type: object
      required:
        - _tag
        - baseAddress
        - memoId
      properties:
        _tag:
          type: string
          enum:
            - STELLAR
        baseAddress:
          type: string
          description: >-
            The Stellar base account (G…) that the muxed deposit address
            resolves to. Clients can deposit to this address instead of the
            muxed (M…) address, provided they also set the memo.
        memoId:
          type: string
          description: >-
            The Stellar memo id that must be supplied alongside the base address
            when depositing to it, so that Rhino.fi can attribute the deposit to
            the correct muxed (M…) deposit address.
      additionalProperties: false
      description: >-
        Optional chain-specific metadata. Currently only populated for Stellar
        SDAs, where it exposes the base address and memo id that the muxed
        deposit address resolves to.
    Issue:
      type: object
      required:
        - _tag
        - path
        - message
      properties:
        _tag:
          type: string
          enum:
            - Pointer
            - Unexpected
            - Missing
            - Composite
            - Refinement
            - Transformation
            - Type
            - Forbidden
          description: The tag identifying the type of parse issue
        path:
          type: array
          items:
            $ref: '#/components/schemas/PropertyKey'
          description: The path to the property where the issue occurred
        message:
          type: string
          description: A descriptive message explaining the issue
      additionalProperties: false
      description: >-
        Represents an error encountered while parsing a value to match the
        schema
    NonEmptyString:
      type: string
      description: a non empty string
      title: nonEmptyString
      minLength: 1
    NonNegative:
      type: number
      description: a non-negative number
      title: nonNegative
      minimum: 0
    StarknetFelt:
      type: string
      description: a string that will be trimmed
    PropertyKey:
      anyOf:
        - type: string
        - type: number
        - type: object
          required:
            - _tag
            - key
          properties:
            _tag:
              type: string
              enum:
                - symbol
            key:
              type: string
          additionalProperties: false
          description: an object to be decoded into a globally shared symbol
  securitySchemes:
    bearer:
      description: JWT token for authentication
      type: http
      scheme: bearer
    legacyApiKey:
      type: apiKey
      name: authorization
      in: header

````